<app-loading *ngIf="isLoading"></app-loading>
<div class="action-breadcrumb-float-right">
  <button nz-button nzSize="large" nzType="primary" (click)="save()">Lưu</button>
</div>
<nz-card>
  <form nz-form [formGroup]="form">
    <div nz-row [nzGutter]="[32, 32]">
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.consultation-config.form.label.formCode' | translate }}"
          mbPlaceholder="{{ 'development.consultation-config.form.label.formCode' | translate }} "
          formControlName="formCode"
          mbKeyLabel="formName"
          mbKeyValue="formCode"
          [mbDataSelects]="dataCommon?.formLD"
          [mbType]="isSubmitted && form.controls['formCode'].errors ? 'error' : 'default'"
          [listOfSelectedValue]="form?.controls['formCode']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'formCode')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          name="fromDate"
          [mbDisabledDate]="disabledStartDate"
          mbLabelText="{{
            'development.consultation-config.form.label.fromDate' | translate
          }} <span class='label__required'>*</span>"
          formControlName="fromDate"
          [mbType]="isSubmitted && form.controls['fromDate'].errors ? 'error' : 'default'"
          [mbShowError]="isSubmitted && form.controls['fromDate'].errors != null"
          [mbErrors]="form.controls['fromDate'].errors"
          [mbErrorDefs]="[
            { errorName: 'required', errorDescription: 'development.proposed-unit.reportCard.mustInput' | translate }
          ]"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-date-picker
          mbFormat="dd/MM/yyyy"
          mbPlaceholderText="dd/mm/yyyy"
          [mbDisabledDate]="disabledEndDate"
          name="toDate"
          mbLabelText="{{ 'development.consultation-config.form.label.toDate' | translate }}"
          formControlName="toDate"
        ></mb-date-picker>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6"></div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-unit
          mbLabelText="{{ 'development.consultation-config.form.label.currentUnit' | translate }}"
          mbPlaceholder="{{ 'development.consultation-config.form.label.currentUnit' | translate }} "
          formControlName="currentUnit"
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.consultation-config.form.label.currentPosition' | translate }}"
          mbPlaceholder="{{ 'development.consultation-config.form.label.currentPosition' | translate }}"
          formControlName="currentPosition"
          [mbDataSelects]="dataCommon?.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [mbType]="isSubmitted && form.controls['currentPosition'].errors ? 'error' : 'default'"
          [listOfSelectedValue]="form?.controls['currentPosition']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'currentPosition')"
        ></mb-select-check-able>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-unit
          mbLabelText="{{ 'development.consultation-config.form.label.proposeUnit' | translate }}"
          mbPlaceholder="{{ 'development.consultation-config.form.label.proposeUnit' | translate }} "
          formControlName="proposeUnit"
        ></mb-select-unit>
      </div>
      <div nz-col class="gutter-row mb-2" nzLg="6">
        <mb-select-check-able
          mbLabelText="{{ 'development.consultation-config.form.label.proposePosition' | translate }}"
          mbPlaceholder="{{ 'development.consultation-config.form.label.proposePosition' | translate }}"
          formControlName="proposePosition"
          [mbDataSelects]="dataCommon?.jobDTOS"
          mbKeyLabel="jobName"
          mbKeyValue="jobId"
          [mbType]="isSubmitted && form.controls['proposePosition'].errors ? 'error' : 'default'"
          [listOfSelectedValue]="form?.controls['proposePosition']?.value"
          [mbShowAction]="false"
          (mbEventEmit)="emitValue($event, 'proposePosition')"
        ></mb-select-check-able>
      </div>
    </div>
  </form>
</nz-card>
